package com.displaynone.acss.components.acs.gate.service;

import com.displaynone.acss.components.acs.gate.GateModel;

import java.util.Optional;

public interface GateService {
    Optional<GateModel> getGateById(Long gateId);

    GateModel getGateByIdStrict(Long gateId);

    Optional<GateModel> getGateByCode(Long code);

    GateModel getGateByCodeStrict(Long code);

    boolean isGateExists(Long gateId);

    boolean isGateCodeValid(Long code);
}
